Python

amplpy

Latest version: v0.8.6

PyUp actively tracks 488,662 Python packages for vulnerabilities to keep your Python environments secure.

Scan your dependencies

Page 1 of 6

0.8.5

- Update libampl to 2.0.11-20220823.
- Ensure times and gentimes default to disabled.

0.8.4

- Update libampl to 2.0.10-20220627.
- Disable options times and gentimes during internal operations.

0.8.3

- Improved handling of numpy types.

0.8.2

- [BREAKING] Raise RuntimeError in Entity.get_values if there are any issues with the data.
- Update libampl to 2.0.9.20220527.
- Fixed hanging when license check fails on Windows.
- Allow '-' in option names.
- Drop 32-bit support.
- Add ampltools as dependency.

0.8.1

- [BREAKING] Raise KeyError exceptions instead of TypeError exceptions when accessing entities that do not exist.

0.8.0

- Update libampl to 2.0.8-2.
- Allow users to specify the name of the AMPL executable.
- Allow users to choose between using camelCase and snake_case methods.
- Drop AMPL.exportGurobi model. It is now part of amplpy_gurobi.

Page 1 of 6